using C969Project.Data;
using C969Project.Data.Models;

namespace C969Project;

public partial class RecordsForm : Form
{
    private List<Customer>? _customers;
    
    public RecordsForm()
    {
        InitializeComponent();
        UpdateCustomersList();

        AddButton.Click += (sender, args) => { ShowDialog(new AddUpdateCustomerForm(AddUpdateCustomerForm.OperationType.Add)); };
        ModifyButton.Click += (sender, args) => { ShowDialog(new AddUpdateCustomerForm(AddUpdateCustomerForm.OperationType.Update)); };
    }

    public void UpdateCustomersList()
    {
        if (_customers != null && _customers.Count > 0) _customers.Clear(); 
        _customers = DatabaseHelper.RetrieveCustomers();
        CustomersDataGrid.DataSource = _customers;
    }
}